package jtznyj.engineer.service.winform.data;


import java.util.Enumeration;
import java.util.Hashtable;

public class RecordHashTable extends Hashtable {
    public RecordHashTable Clone() {
        RecordHashTable rht = new RecordHashTable();
        Enumeration k = this.keys();
        while(k.hasMoreElements()){
            Object key = k.nextElement();
            Object value = this.get(key);
            rht.Add(key, value);
        }

        return rht;
    }

    private void Add(Object key, Object value) {
        try {
            key = key.toString().toLowerCase();
            super.put(key, value);
        } catch (Exception ex_12) {

        }
    }
}
